<?php
/**
 * Sort la liste des domaines presents sur la meme adresse IP
 *
 * J'utilise le site spyonweb.com pour recuperer les urls,
 * car fonction interessante de ce site, il capte egalement les comptes qui utilisent
 * le meme compte google analytics
 *
 *
 *  Script pondu par RDD sur http://www.renardudezert.com
 */




// Je ne vous presente pas la classe simple_html_dom j'espere
// Sinon RDV ici : http://simplehtmldom.sourceforge.net/manual.htm
include './simple_html_dom.php';

// Ces 2 urls sont uniquement ici a titre d'exemple, il n'y a rien dessus
// Je charge une liste d'urls dans un array, a vous d'adapter le script pour qu'il
// fasse le necessaire (charger un fichier csv, ...)
$urls_list	= array('www.cityofseattle.net', 'blogs.psu.edu');




/**
 * Push That Shit Function
 *
 * Cette fonction utilise la classe simple_html_dom afin de toutes les urls
 * qui nous interessent
 *
 * @param array $url
 * @param boolean $plaintext
 * @return array
 */

function push_that_shit($url, $plaintext=true)
{
	// CURL is your friend
	if (function_exists('curl_init'))
	{
		$res = $output = array();

		$url	= 'http://spyonweb.com/'.$url;
		$userAgent='Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)';
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL,$url);
		curl_setopt($ch, CURLOPT_USERAGENT, $userAgent);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER,true);
		$results=curl_exec($ch);
		curl_close ($ch);

		$html = str_get_html($results);

		// Sur le site spyonweb, les liens qui nous interessent ont la classe "new"
		$res = $html->find('a[class=new]');

		// Traitement supplementaire si on souhaite obtenir
		// Uniquement les liens en plaintext
		if ($plaintext==true)
		foreach ($res as $url_f)
		$res_p[] = $url_f->plaintext;

		$output	= ($plaintext==true) ? $res_p : $res;

		// On retourne un tableau dedoublonne bien sur
		return(array_unique($output));
	}
}


/**
 * La fonction principale
 *
 * J'aurais pu mettre la fonction precedente a l'interieur de celle-ci
 * Mais j'aime bien le code lisible !!!
 *
 * @param array $urls_list
 */

function	get_domains_on_same_ip($urls_list)
{
	$new_urls	= array();

	foreach ($urls_list as $url)
		$new_urls[] = push_that_shit($url);

	// Ici on affiche tous les resultats
	// C'est donc ici que vous allez ajouter votre propre traitement
	foreach ($new_urls as $urls)
	{
		foreach ($urls as $url)
			echo $url."<br/>";
	}


}

get_domains_on_same_ip($urls_list);

?>